TOP	= ..
HDRS	= $(TOP)/crash.h $(TOP)/def.h
CSRCS	= clean_fs.c clean_sched.c clean_module.c timer_vec.c bh.c inode.c\
	  operations.c file.c clean_mm.c page.c clean_sem.c\
	  clean_size.c clean_device.c task_queue.c blk_dev.c table.c\
	  buffer.c ext2.c vfsmount.c dentry.c

include	$(TOP)/Rules.make

OBJS	= $(CSRCS:.c=.o)
INCLUDE	= -I$(TOP) -I$(INCDIR)
CFLAGS	= $(CDEBUG) $(INCLUDE)
TARGET	= libmcrash.a
DEPFILE	= Makefile.dep

all:	$(TARGET)

$(TARGET): $(OBJS)
	$(AR) cr $(TARGET) $(OBJS)

$(OBJS): $(HDRS)

clean:
	/bin/rm -f $(OBJS) $(TARGET) $(DEPFILE) *~ *.swp

depend:
	makedepend -f- $(INCLUDE) $(CSRCS) > $(DEPFILE)

ifeq ($(wildcard $(DEPFILE)),$(DEPFILE))
include $(DEPFILE)
endif
